Manifest-Version: 1.0
Bnd-LastModified: 1754080175835
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Analytics Message Storage Service
Bundle-SymbolicName: com.liferay.analytics.message.storage.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 9.0.1.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.analytics.message.storage.exception;versio
 n="3.1",com.liferay.analytics.message.storage.model;version="7.0",com
 .liferay.analytics.message.storage.service;version="3.1",com.liferay.
 analytics.message.storage.service.persistence;version="5.1",com.lifer
 ay.change.tracking.spi.reference;version="1.0",com.liferay.change.tra
 cking.spi.reference.builder;version="1.0",com.liferay.counter.kernel.
 service;version="2.2",com.liferay.expando.kernel.model;version="6.0",
 com.liferay.expando.kernel.util;version="5.0",com.liferay.petra.funct
 ion;version="1.5",com.liferay.petra.io;version="1.3",com.liferay.petr
 a.lang;version="1.3",com.liferay.petra.sql.dsl;version="1.2",com.life
 ray.petra.sql.dsl.query;version="2.0",com.liferay.petra.string;versio
 n="1.7",com.liferay.portal.aop;version="1.0",com.liferay.portal.kerne
 l.bean;version="10.1",com.liferay.portal.kernel.change.tracking;versi
 on="2.2",com.liferay.portal.kernel.configuration;version="7.0",com.li
 feray.portal.kernel.dao.db;version="14.0",com.liferay.portal.kernel.d
 ao.jdbc;version="9.0",com.liferay.portal.kernel.dao.orm;version="12.0
 ",com.liferay.portal.kernel.exception;version="13.3",com.liferay.port
 al.kernel.io.unsync;version="8.0",com.liferay.portal.kernel.log;versi
 on="8.0",com.liferay.portal.kernel.model;version="30.4",com.liferay.p
 ortal.kernel.model.change.tracking;version="3.0",com.liferay.portal.k
 ernel.model.impl;version="7.4",com.liferay.portal.kernel.module.frame
 work.service;version="1.0",com.liferay.portal.kernel.search;version="
 20.2",com.liferay.portal.kernel.security.auth;version="6.1",com.lifer
 ay.portal.kernel.service;version="25.1",com.liferay.portal.kernel.ser
 vice.change.tracking;version="1.0",com.liferay.portal.kernel.service.
 persistence;version="22.1",com.liferay.portal.kernel.service.persiste
 nce.change.tracking;version="1.4",com.liferay.portal.kernel.service.p
 ersistence.change.tracking.helper;version="1.1",com.liferay.portal.ke
 rnel.service.persistence.impl;version="4.1",com.liferay.portal.kernel
 .transaction;version="8.1",com.liferay.portal.kernel.upgrade;version=
 "21.2",com.liferay.portal.kernel.util;version="63.0",com.liferay.port
 al.upgrade.registry;version="5.0",javax.sql
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Analytics
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 1.3.0
Liferay-Service: true
Private-Package: com.liferay.analytics.message.storage.internal.change
 .tracking.spi.reference,com.liferay.analytics.message.storage.interna
 l.upgrade.registry,com.liferay.analytics.message.storage.internal.upg
 rade.v1_1_0.util,com.liferay.analytics.message.storage.internal.upgra
 de.v1_2_0.util,com.liferay.analytics.message.storage.model.impl,com.l
 iferay.analytics.message.storage.service.base,com.liferay.analytics.m
 essage.storage.service.impl,com.liferay.analytics.message.storage.ser
 vice.persistence.impl,com.liferay.analytics.message.storage.service.p
 ersistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .analytics.message.storage.service.persistence.AnalyticsAssociationPe
 rsistence";uses:="com.liferay.analytics.message.storage.service.persi
 stence",osgi.service;objectClass:List<String>="com.liferay.analytics.
 message.storage.service.persistence.AnalyticsDeleteMessagePersistence
 ";uses:="com.liferay.analytics.message.storage.service.persistence",o
 sgi.service;objectClass:List<String>="com.liferay.analytics.message.s
 torage.service.persistence.AnalyticsMessagePersistence";uses:="com.li
 feray.analytics.message.storage.service.persistence",osgi.service;obj
 ectClass:List<String>="com.liferay.change.tracking.spi.reference.Tabl
 eReferenceDefinition";uses:="com.liferay.change.tracking.spi.referenc
 e",osgi.service;objectClass:List<String>="com.liferay.portal.aop.AopS
 ervice";uses:="com.liferay.portal.aop",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="
 com.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses
 :="com.liferay.portal.upgrade.registry",osgi.service;objectClass:List
 <String>="com.liferay.analytics.message.storage.service.AnalyticsAsso
 ciationLocalService",osgi.service;objectClass:List<String>="com.lifer
 ay.analytics.message.storage.service.AnalyticsDeleteMessageLocalServi
 ce",osgi.service;objectClass:List<String>="com.liferay.analytics.mess
 age.storage.service.AnalyticsMessageLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ana
 lytics.message.storage.service.persistence.AnalyticsAssociationPersis
 tence)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.analytics.message.storage.service.persistence.AnalyticsDeleteMess
 agePersistence)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.analytics.message.storage.service.persistence.AnalyticsM
 essagePersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.counter.kernel.service.CounterLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.configuration.Configuration)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.dao.orm.FinderCache)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.dao.orm.SessionFactory)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.UserLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.persistence.change.tr
 acking.helper.CTPersistenceHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.File)";effective:=
 active,osgi.service;filter:="(objectClass=javax.sql.DataSource)";effe
 ctive:=active,osgi.extender;filter:="(&(osgi.extender=osgi.component)
 (version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=Jav
 aSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.analytics.message.storage.inte
 rnal.change.tracking.spi.reference.AnalyticsAssociationTableReference
 Definition.xml,OSGI-INF/com.liferay.analytics.message.storage.interna
 l.change.tracking.spi.reference.AnalyticsDeleteMessageTableReferenceD
 efinition.xml,OSGI-INF/com.liferay.analytics.message.storage.internal
 .change.tracking.spi.reference.AnalyticsMessageTableReferenceDefiniti
 on.xml,OSGI-INF/com.liferay.analytics.message.storage.internal.upgrad
 e.registry.AnalyticsMessageStorageServiceUpgradeStepRegistrator.xml,O
 SGI-INF/com.liferay.analytics.message.storage.service.impl.AnalyticsA
 ssociationLocalServiceImpl.xml,OSGI-INF/com.liferay.analytics.message
 .storage.service.impl.AnalyticsDeleteMessageLocalServiceImpl.xml,OSGI
 -INF/com.liferay.analytics.message.storage.service.impl.AnalyticsMess
 ageLocalServiceImpl.xml,OSGI-INF/com.liferay.analytics.message.storag
 e.service.persistence.impl.AnalyticsAssociationModelArgumentsResolver
 .xml,OSGI-INF/com.liferay.analytics.message.storage.service.persisten
 ce.impl.AnalyticsAssociationPersistenceImpl.xml,OSGI-INF/com.liferay.
 analytics.message.storage.service.persistence.impl.AnalyticsDeleteMes
 sageModelArgumentsResolver.xml,OSGI-INF/com.liferay.analytics.message
 .storage.service.persistence.impl.AnalyticsDeleteMessagePersistenceIm
 pl.xml,OSGI-INF/com.liferay.analytics.message.storage.service.persist
 ence.impl.AnalyticsMessageModelArgumentsResolver.xml,OSGI-INF/com.lif
 eray.analytics.message.storage.service.persistence.impl.AnalyticsMess
 agePersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

